Bug 133259 - $ is needed in order to parse regular expression in uri mapping properly
Summary: $ is needed in order to parse regular expression in uri mapping properly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Application Server
Classification: Retired
Component: mod_jk2   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-22 19:40 UTC by Permaine Cheung
Modified: 2007-04-18 17:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 15:24:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Permaine Cheung 2004-09-22 19:40:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
In this version of mod_jk2, a $ is needed in order to properly parse
the regular expression that comes after it and correctly map all subpaths.



Version-Release number of selected component (if applicable):
mod_jk2-2.0.4-4jpp_4rh

How reproducible:
Always

Steps to Reproduce:
1. with tomcat, mod_jk2 installed
2. try to map a uri to the admin servlet, a $ is needed eg.
[uri:$/admin/*] for the subpaths to work.
    

Actual Results:  Without the $, call to /admin/ correctly maps over to
Tomcat, but subpaths do not.

Expected Results:  All subpaths maps correctly as well without the $.

Comment 1 Permaine Cheung 2004-09-28 20:06:40 UTC
Errata opened.

Comment 2 Permaine Cheung 2005-03-21 15:24:36 UTC
This is now fixed with 
tomcat5-5.0.28-2jpp_4rh
mod_jk2-2.0.4-6jpp_12rh
which will be shipped in Update 1.


Note You need to log in before you can comment on or make changes to this bug.